<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_mem.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_mem.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Interface to Memory allocation and deallocation APIs. </p>

<p><a href="tivx__mem_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure describing a shared memory pointer.  <a href="structtivx__shared__mem__ptr__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__mem__stats.html">tivx_mem_stats</a></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga16613a56b37f0bda2cc3fef86f40518e">tivx_mem_type_e</a> { <a class="el" href="group__group__tivx__mem.html#gga16613a56b37f0bda2cc3fef86f40518ea9efbb1abf57ed3bd769d6c7d8ee3a48d">TIVX_MEM_EXTERNAL</a>, 
<a class="el" href="group__group__tivx__mem.html#gga16613a56b37f0bda2cc3fef86f40518ea1f35a4596d35d81bdb534a657cecc557">TIVX_MEM_INTERNAL_L3</a>, 
<a class="el" href="group__group__tivx__mem.html#gga16613a56b37f0bda2cc3fef86f40518ea3ef35e2f23a736dba62cca6f01daa1d1">TIVX_MEM_INTERNAL_L2</a>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enum that list all possible memory regions from which allocations are possible. </p>
 <a href="group__group__tivx__mem.html#ga16613a56b37f0bda2cc3fef86f40518e">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga6c91b589548245063060d06629795033">tivxMemBufferAlloc</a> (<a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> *mem_ptr, uint32_t size, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alloc buffer from shared memory.  <a href="group__group__tivx__mem.html#ga6c91b589548245063060d06629795033"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#gabe21a01434fffe5237e13436c669a3b3">tivxMemBufferFree</a> (<a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> *mem_ptr, uint32_t size)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free buffer from shared memory.  <a href="group__group__tivx__mem.html#gabe21a01434fffe5237e13436c669a3b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#gad0a080f8f697f50ce522f05e1e646cfc">tivxMemBufferMap</a> (void *host_ptr, uint32_t size, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> maptype)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Map a allocated buffer address.  <a href="group__group__tivx__mem.html#gad0a080f8f697f50ce522f05e1e646cfc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga7eb36b10bc001dc9946b032828bd3e4d">tivxMemBufferUnmap</a> (void *host_ptr, uint32_t size, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> maptype)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UnMap a buffer address.  <a href="group__group__tivx__mem.html#ga7eb36b10bc001dc9946b032828bd3e4d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga240956e2a8001810af0e5bc8e2163b78">tivxMemHost2SharedPtr</a> (void *host_ptr, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert Host pointer to shared pointer.  <a href="group__group__tivx__mem.html#ga240956e2a8001810af0e5bc8e2163b78"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga719f8b4abbf094d104dd43c21f3f08ad">tivxMemShared2HostPtr</a> (void *shared_ptr, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert Shared memory pointer to host pointer.  <a href="group__group__tivx__mem.html#ga719f8b4abbf094d104dd43c21f3f08ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga853fc075881b71e7a4592fc0bf098ecb">tivxMemShared2TargetPtr</a> (void *shared_ptr, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert shared pointer to target pointer.  <a href="group__group__tivx__mem.html#ga853fc075881b71e7a4592fc0bf098ecb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga87a9c979d1fe5fb5dca1f127bb843d8d">tivxMemTarget2SharedPtr</a> (void *target_ptr, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert target memory pointer to shared pointer.  <a href="group__group__tivx__mem.html#ga87a9c979d1fe5fb5dca1f127bb843d8d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#gaf73adaa236689353ff173b268d49bf4b">tivxMemAlloc</a> (<a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> size, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocates memory of given size.  <a href="group__group__tivx__mem.html#gaf73adaa236689353ff173b268d49bf4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#ga1c3428e8e935844bd375655b3b9f3f34">tivxMemFree</a> (void *ptr, <a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> size, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Frees already allocated memory.  <a href="group__group__tivx__mem.html#ga1c3428e8e935844bd375655b3b9f3f34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mem.html#gac455e3957a61a111ced55bff62564ed0">tivxMemStats</a> (<a class="el" href="structtivx__mem__stats.html">tivx_mem_stats</a> *stats, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> mem_type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get memory segement information.  <a href="group__group__tivx__mem.html#gac455e3957a61a111ced55bff62564ed0"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
